Bug 255813 - devel/cargo-c 0.8.0_1 fails to build with libressl 3.3.3
Summary: devel/cargo-c 0.8.0_1 fails to build with libressl 3.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2021-05-12 14:49 UTC by lysfjord.daniel
Modified: 2021-05-13 23:51 UTC (History)
0 users

See Also:
jbeich: maintainer-feedback+


Attachments
poudriere build log for devel/cargo-c-0.8.0_1 (325.66 KB, text/plain)
2021-05-12 14:49 UTC, lysfjord.daniel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lysfjord.daniel 2021-05-12 14:49:06 UTC
Created attachment 224872 [details]
poudriere build log for devel/cargo-c-0.8.0_1

devel/cargo-c 0.8.0_1 does not build with libressl 3.3.3.

Error given:
  This crate is only compatible with OpenSSL 1.0.1 through 1.1.1, or LibreSSL 2.5
  through 3.3.1, but a different version of OpenSSL was found. The build is now aborting
  due to this version mismatch.

Build log attached.
Comment 1 Jan Beich freebsd_committer 2021-05-13 18:34:06 UTC
Does ports b1be50c1a414 help[1]? If so, please, close the bug.

[1] https://github.com/sfackler/rust-openssl/compare/openssl-sys-v0.9.61...openssl-sys-v0.9.63
Comment 2 lysfjord.daniel 2021-05-13 23:51:12 UTC
cargo-c builds perfectly with 0.8.1. Thanks:)